| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IEventProcessor Class Reference

`#include <GaudiKernel/IEventProcessor.h>`

Inheritance diagram for IEventProcessor:

[legend]
Collaboration diagram for IEventProcessor:

[legend]
List of all members.

## Detailed Description

The IEventProcessor is the interface to process events.

Author:
  Markus Frank

Version:
  2

Definition at line 20 of file IEventProcessor.h.

## Public Member Functions
virtual StatusCode | executeEvent (void *par=0)=0
| Process single event.
virtual StatusCode | executeRun (int maxevt)=0
| Process the maxevt events as a Run (beginRun() and endRun() called).
virtual StatusCode | nextEvent (int maxevt)=0
| Process the next maxevt events.
virtual StatusCode | stopRun ()=0
| Schedule a stop of the current event processing.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IEventProcessor::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 23 of file IEventProcessor.h.

References IID_IEventProcessor.

Referenced by ApplicationMgr::queryInterface().

    00023 { return IID_IEventProcessor; }

virtual StatusCode IEventProcessor::executeEvent | ( | void * | par = `0` | ) | `[pure virtual]`

Process single event.

Implemented in MinimalEventLoopMgr, ApplicationMgr, and EventLoopMgr.

virtual StatusCode IEventProcessor::executeRun | ( | int | maxevt | ) | `[pure virtual]`

Process the maxevt events as a Run (beginRun() and endRun() called).

Implemented in MinimalEventLoopMgr, ApplicationMgr, and EventLoopMgr.

virtual StatusCode IEventProcessor::nextEvent | ( | int | maxevt | ) | `[pure virtual]`

Process the next maxevt events.

Implemented in MinimalEventLoopMgr, ApplicationMgr, and EventLoopMgr.

Referenced by ApplicationMgr::nextEvent().

virtual StatusCode IEventProcessor::stopRun | ( |  | ) | `[pure virtual]`

Schedule a stop of the current event processing.

Implemented in MinimalEventLoopMgr, and ApplicationMgr.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IEventProcessor.h